<input type="hidden" name="_id" value="{{ record._id }}" />
<div class="row">
    <div class="col-12 col-md-6">
        <div class="form-group">
            <label>{{ "name"|normalize|title }}*</label>
            <input type="text" name="name" class="form-control" required maxlength="255" value="{{ record.name }}" data-default-value="{{ record.name }}" />
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="form-group">
            <label>{{ "department"|normalize|title }}</label>
            <input type="text" name="department" class="form-control" maxlength="255" value="{{ record.department }}" data-default-value="{{  record.department }}" />
        </div>
    </div>
</div>
<hr />
<h5>Default Modules</h5>
<table class="table table-striped table-hover table-bordered">
    <thead>
        <tr>
            <th>Module</th>
            <th class="text-center">View/Read</th>
            <th class="text-center">Add</th>
            <th class="text-center">Edit</th>
            <th class="text-center">Delete</th>
            <th class="text-center"><small>Select All</small></th>
        </tr>
    </thead>
    <tbody>
        {% for module in DEFAULT_MODULES %}
            <tr>
                <td>{{ module|normalize|title }}</td>
                <td><input name="level-read" type="checkbox" class="form-control" value="{{ module }}" {% if record.permissions.get(module, {}).get('read', False) %}checked data-default-value="1"{% endif %}/></td>
                <td><input name="level-create" type="checkbox" class="form-control" value="{{ module }}" {% if record.permissions.get(module, {}).get('create', False) %}checked data-default-value="1"{% endif %}/></td>
                <td><input name="level-update" type="checkbox" class="form-control" value="{{ module }}" {% if record.permissions.get(module, {}).get('update', False) %}checked data-default-value="1"{% endif %}/></td>
                <td><input name="level-delete" type="checkbox" class="form-control" value="{{ module }}" {% if record.permissions.get(module, {}).get('delete', False) %}checked data-default-value="1"{% endif %}/></td>
                <td><input type="checkbox" class="form-control" data-select-all="row" /></td>
            </tr>
        {% endfor %}
    </tbody>
    <tfoot>
        <tr>
            <td class="text-muted">Select All</td>
            <td><input type="checkbox" class="form-control" data-select-all="column" data-column-index="1" /></td>
            <td><input type="checkbox" class="form-control" data-select-all="column" data-column-index="2" /></td>
            <td><input type="checkbox" class="form-control" data-select-all="column" data-column-index="3" /></td>
            <td><input type="checkbox" class="form-control" data-select-all="column" data-column-index="4" /></td>
            <td></td>
        </tr>
    </tfoot>
</table>
